class ForumMails < ActionMailer::Base
  layout 'mail2'
  
  default from: "Jipe <contact@jipe.fr>"

  def reset_password(forum_user, options = {})
    @forum_user = forum_user
    @options = options
    mail(:to => forum_user.email, :subject => "Réinitialisation de votre mot de passe.")
  end
  
  
  def topic_notification(forum_topic, forum_user, options = {})
    @forum_user = forum_user
    @forum_topic = forum_topic
    @options = options
    mail(:to => forum_user.email, :subject => "Forum Jipe - Nouveau fil de discussion")
    
  end
  
  def message_notification(forum_message, forum_user, options = {})
    @forum_user = forum_user
    @forum_message = forum_message
    @options = options
    mail(:to => forum_user.email, :subject => "Forum Jipe - Nouveau message")
  end


  
  
  
end
